Attribute VB_Name = "Globale"
' Fichier Global.bas
' ------------------

Option Explicit

' Mode debug (ne pas cacher la souris, ...)
Public Const bDebug As Boolean = False
'Public Const bDebug As Boolean = True

Public Const lCouleurBleuFonce& = &H400000
Public Const lCouleurFrmConfig& = &H8000000F

' Structures pour les variables globales au projet
Type TVariables
    
    ' Pour afficher l'image du petit moniteur
    '  dans l'aperu de l'cran de veille
    iScreenTwipsPerPixelX As Integer
    iScreenTwipsPerPixelY As Integer
    lHdlePreviewWnd As Long ' Handle de la fentre de l'aperu de l'cran de veille
    
    ' Pour tenir compte du mot de passe :
    lWinOS As Long ' Type d'OS : 9x ou NT
    bPWProtect As Boolean ' Ecran de veille avec mot de passe
    
    ' Pour grer la sensibilit de la fin de l'conomiseur d'cran :
    iNbMouseMoves As Integer ' Nbre d'vnement de dplacement de la souris
    
    bDemarrerUneSeuleFois As Boolean
    
    rZoom As Double ' Pour zoomer le dessin au besoin
    
    ' Bouton Preview in me : dessiner dans toute la feuille aperu
    bApercuFrmConfig As Boolean
    
    bEscapeSimulation As Boolean ' Utile pour interrompre une simulation infinie
    
    ' Utile pour interrompre momentanment une simulation infinie
    bPauseSimulation As Boolean
    
    bSimulationEnCours As Boolean
    
    ' Quitter le prog lorsque la simulation aurra correctement
    '  t interrompue.
    bQuitterApplication As Boolean
    
    ' Changement d'un paramtre de la simulation ncessitant
    '  une interruption de la simulation en cours puis un nouveau tirage
    bRecommencerTirage As Boolean
    
    ' Lancement  partir du panneau de config de Windows (proprit de l'affichage)
    bApercuPanneauConfig As Boolean
    
    ' Aperu dans le formulaire de config en entier :
    '  cela requiert de tout redessiner car changement de zone de dessin
    bRedessiner As Boolean
    
End Type

Public Var As TVariables

'Public Const lWin95 = 1&
Public Const lWinNT = 2&

Public Const iToucheEscape% = 27
Public Const iTouchePlus% = 43
Public Const iToucheMoins% = 45
